TEMPLATE = aux
TARGET = match-the-color

RESOURCES += match-the-color.qrc

COMPONENTS_FILES += $$files(components/*.qml,false) \
                    $$files(components/*.js,false)

QCHART_FILES +=     $$files(components/qchart/*.qml,false) \
                    $$files(components/qchart/*.js,false)

UI_FILES +=         $$files(ui/*.qml,true) \
                    $$files(ui/*.js,true)

THEME_FILES +=      $$files(theme/*.qml,true) \
                    $$files(theme/*.js,true) \
                    theme/parent_theme

GRAPHICS_FILES +=   $$files(graphics/*.png,true) \
                    $$files(graphics/*.svg,true)

AP_TEST_FILES +=    tests/autopilot/run \
                    $$files(tests/*.py,true)

CONF_FILES +=       match-the-color.apparmor \
                    match-the-color_content-hub.json \
                    match-the-color.desktop \
                    Main.qml

OTHER_FILES += $${CONF_FILES} \
               $${COMPONENTS_FILES} \
               $${UI_FILES} \
               $${THEME_FILES} \
               $${GRAPHICS_FILES} \
               $${AP_TEST_FILES} \
               $${QCHART_FILES}

#specify where the Components module files are installed to
components_files.path = /match-the-color/components
components_files.files = components/*.qml
components_files.files += components/*.js

qchart_files.path = /match-the-color/components/qchart
qchart_files.files = components/qchart/*.qml
qchart_files.files += components/qchart/*.js

#specify where the ui files are installed to
ui_files.path = /match-the-color/ui
ui_files.files += $${UI_FILES}

#specify where the theme files are installed to
theme_files.path = /match-the-color/theme
theme_files.files += $${THEME_FILES}

#specify where the graphics files are installed to
graphics_files.path = /match-the-color/graphics
graphics_files.files += $${GRAPHICS_FILES}

#specify where the qml/js files are installed to
qml_files.path = /match-the-color
qml_files.files += $${QML_FILES}

#specify where the config files are installed to
config_files.path = /match-the-color
config_files.files += $${CONF_FILES}

INSTALLS += config_files components_files ui_files theme_files graphics_files qchart_files
